{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build sensor [ nano ]",
            "type": "shell",
            "command": "arduino-cli compile -v --fqbn arduino:avr:nano sensor",
            "group": "build",
            "isBackground": false,
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true
            },
            "problemMatcher": []
        },
        {
            "label": "Upload sensor [ nano ]",
            "type": "shell",
            "command": "arduino-cli upload -p /dev/cu.usbserial-1420 --fqbn arduino:avr:nano sensor",
            "group": "build",
            "isBackground": false,
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true
            },
            "problemMatcher": []
        },
        {
            "label": "Build base [ uno ]",
            "type": "shell",
            "command": "arduino-cli compile -v --fqbn arduino:avr:uno base",
            "group": "build",
            "isBackground": false,
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true
            },
            "problemMatcher": []
        },
        {
            "label": "Upload base [ uno ]",
            "type": "shell",
            "command": "arduino-cli upload -p /dev/cu.usbmodem14201 --fqbn arduino:avr:uno base",
            "group": "build",
            "isBackground": false,
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true
            },
            "problemMatcher": []
        }
    ]
}
